import type { AnyAction } from 'redux';
import { type IndexesError } from '../../utils/parse-error';
export declare enum ActionTypes {
    HandleError = "indexes/create-index/HandleError",
    ClearError = "indexes/create-index/ClearError"
}
type HandleErrorAction = {
    type: ActionTypes.HandleError;
    error: string;
};
type ClearErrorAction = {
    type: ActionTypes.ClearError;
};
type State = string | null;
export declare const INITIAL_STATE: State;
export default function reducer(state: State | undefined, action: AnyAction): State;
export declare const handleError: (error: IndexesError) => HandleErrorAction;
export declare const clearError: () => ClearErrorAction;
export {};
//# sourceMappingURL=error.d.ts.map